<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: lpt_interpolate_m Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">lpt_interpolate_m Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:af087c80a6a86641251838154b59d56a6"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#af087c80a6a86641251838154b59d56a6">lpt_interpolate</a> (sd, A, xd, yd, zd, id, jd, kd, Ap, dir, inwall)</td></tr>
<tr class="separator:af087c80a6a86641251838154b59d56a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b919c050932ee598e3666de8a6738fa"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a9b919c050932ee598e3666de8a6738fa">lpt_extrapolate</a> (sd, A, xd, yd, zd, id, jd, kd, Ap, dir)</td></tr>
<tr class="separator:a9b919c050932ee598e3666de8a6738fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a460efb68f7273e5869fe56132f0fdb72"><td class="memItemLeft" align="right" valign="top">real(wp) function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a460efb68f7273e5869fe56132f0fdb72">lpt_interp_pgas</a> (vdf, loc, i, j, k)</td></tr>
<tr class="separator:a460efb68f7273e5869fe56132f0fdb72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a133535dddb21d1ac5c465cdae5672a0e"><td class="memItemLeft" align="right" valign="top">real(wp) function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a133535dddb21d1ac5c465cdae5672a0e">lpt_interp_tgas</a> (vdf, loc, i, j, k, sc_in)</td></tr>
<tr class="separator:a133535dddb21d1ac5c465cdae5672a0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa4b8fd5c158f0d675852ff9dbcb503ba"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#aa4b8fd5c158f0d675852ff9dbcb503ba">type_u</a> =1</td></tr>
<tr class="separator:aa4b8fd5c158f0d675852ff9dbcb503ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a319b8d93d768104869b5b1b0f9886263"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a319b8d93d768104869b5b1b0f9886263">type_v</a> =2</td></tr>
<tr class="separator:a319b8d93d768104869b5b1b0f9886263"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0090f87683f8e9d204c739d6a93ee8d7"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a0090f87683f8e9d204c739d6a93ee8d7">type_w</a> =3</td></tr>
<tr class="separator:a0090f87683f8e9d204c739d6a93ee8d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe8c7e789d78a5d84094f3c604b408f3"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#abe8c7e789d78a5d84094f3c604b408f3">type_p</a> =4</td></tr>
<tr class="separator:abe8c7e789d78a5d84094f3c604b408f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac71aa448376a172792fb373cf93afa9d"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#ac71aa448376a172792fb373cf93afa9d">type_sc</a> =5</td></tr>
<tr class="separator:ac71aa448376a172792fb373cf93afa9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a473af87e0d1b4dd9c233a7a087b8f566"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a473af87e0d1b4dd9c233a7a087b8f566">type_wdist</a> =6</td></tr>
<tr class="separator:a473af87e0d1b4dd9c233a7a087b8f566"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7eeb837faf0afdd3d746e342b2791abe"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a7eeb837faf0afdd3d746e342b2791abe">type_sc_zmix</a> =1</td></tr>
<tr class="separator:a7eeb837faf0afdd3d746e342b2791abe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87df48c0b189d58d4f90945f9c121fa7"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a87df48c0b189d58d4f90945f9c121fa7">type_sc_zvar</a> =2</td></tr>
<tr class="separator:a87df48c0b189d58d4f90945f9c121fa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7da9a3497495df7a7fe2ba0a6174099c"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a7da9a3497495df7a7fe2ba0a6174099c">type_sc_yf</a> =3</td></tr>
<tr class="separator:a7da9a3497495df7a7fe2ba0a6174099c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fbffc2619bb0dba29a01ad5790c588d"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a1fbffc2619bb0dba29a01ad5790c588d">type_sc_t</a> =4</td></tr>
<tr class="separator:a1fbffc2619bb0dba29a01ad5790c588d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ef43d52a0df58425d7eeacafaf91556"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a4ef43d52a0df58425d7eeacafaf91556">type_sc_enth</a> =5</td></tr>
<tr class="separator:a4ef43d52a0df58425d7eeacafaf91556"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a050342b8b96335ffb29d45f57eead6bc"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a050342b8b96335ffb29d45f57eead6bc">type_sc_e</a> =6</td></tr>
<tr class="separator:a050342b8b96335ffb29d45f57eead6bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8f5d85a7862b28b297809d4b3a4f443"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#ac8f5d85a7862b28b297809d4b3a4f443">type_sc_zmix2</a> =7</td></tr>
<tr class="separator:ac8f5d85a7862b28b297809d4b3a4f443"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a920635a61fb8f26c5565c4ca0a53451c"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a920635a61fb8f26c5565c4ca0a53451c">type_sc_zmix_mc</a> =8</td></tr>
<tr class="separator:a920635a61fb8f26c5565c4ca0a53451c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cefc7b4ead967896fc41b0cc6802719"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a7cefc7b4ead967896fc41b0cc6802719">type_sc_theta_mc</a> =9</td></tr>
<tr class="separator:a7cefc7b4ead967896fc41b0cc6802719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa3fe483a8749b38b027a0563e132ffc"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#aaa3fe483a8749b38b027a0563e132ffc">type_sc_psi_mc</a> =10</td></tr>
<tr class="separator:aaa3fe483a8749b38b027a0563e132ffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4aa2bd220507372065d205190423378b"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a4aa2bd220507372065d205190423378b">type_sc_co</a> =11</td></tr>
<tr class="separator:a4aa2bd220507372065d205190423378b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5a7823d18e6c62e2f9cbc3b32821f8e"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#af5a7823d18e6c62e2f9cbc3b32821f8e">type_sc_co2</a> =12</td></tr>
<tr class="separator:af5a7823d18e6c62e2f9cbc3b32821f8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92ba3b8c9ce7654caa2e0e718e08f726"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a92ba3b8c9ce7654caa2e0e718e08f726">type_sc_h2o</a> =13</td></tr>
<tr class="separator:a92ba3b8c9ce7654caa2e0e718e08f726"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a888cde915753dd60bf54c180b8f93023"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#a888cde915753dd60bf54c180b8f93023">type_sc_ch4</a> =14</td></tr>
<tr class="separator:a888cde915753dd60bf54c180b8f93023"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac220219d8b54d0220c4b8d56126097d4"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__interpolate__m.html#ac220219d8b54d0220c4b8d56126097d4">type_sc_c2h2</a> =15</td></tr>
<tr class="separator:ac220219d8b54d0220c4b8d56126097d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a9b919c050932ee598e3666de8a6738fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b919c050932ee598e3666de8a6738fa">&#9670;&nbsp;</a></span>lpt_extrapolate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lpt_interpolate_m::lpt_extrapolate </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imino_:sd%imaxo_,sd%jmino_:sd%jmaxo_,sd%kmino_:sd%kmaxo_), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>xd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>yd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>zd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>jd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>kd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>Ap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>dir</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelpt__interpolate__m.html#ac71aa448376a172792fb373cf93afa9d">type_sc</a>, <a class="el" href="namespacelpt__interpolate__m.html#aa4b8fd5c158f0d675852ff9dbcb503ba">type_u</a>, <a class="el" href="namespacelpt__interpolate__m.html#a319b8d93d768104869b5b1b0f9886263">type_v</a>, <a class="el" href="namespacelpt__interpolate__m.html#a0090f87683f8e9d204c739d6a93ee8d7">type_w</a>, and <a class="el" href="namespacelpt__interpolate__m.html#a473af87e0d1b4dd9c233a7a087b8f566">type_wdist</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__interpolate__m_a9b919c050932ee598e3666de8a6738fa_icgraph.png" border="0" usemap="#namespacelpt__interpolate__m_a9b919c050932ee598e3666de8a6738fa_icgraph" alt=""/></div>
<map name="namespacelpt__interpolate__m_a9b919c050932ee598e3666de8a6738fa_icgraph" id="namespacelpt__interpolate__m_a9b919c050932ee598e3666de8a6738fa_icgraph">
<area shape="rect" id="node2" href="namespacelpt__euler__src.html#a4eea72fb8a011dccd626ef49aa363a4c" title="lpt_euler_src::lpt\l_euler_source_momentum" alt="" coords="183,122,357,163"/>
<area shape="rect" id="node32" href="namespacelpt__euler__src.html#a938a4f4ee0673d10d9dbbf8b13c43f30" title="lpt_euler_src::lpt\l_euler_source_mass" alt="" coords="199,187,341,229"/>
<area shape="rect" id="node33" href="namespacelpt__euler__src.html#aa0ab5d2c13e9ffedf1c665f600d285a8" title="lpt_euler_src::lpt\l_euler_source_zmix2" alt="" coords="197,253,343,294"/>
<area shape="rect" id="node34" href="namespacelpt__euler__src.html#a4e549555eaca695870e68b71dcc0f3d4" title="lpt_euler_src::lpt\l_euler_source_zvar" alt="" coords="203,318,337,359"/>
<area shape="rect" id="node35" href="namespacelpt__euler__src.html#a5862a59d8174158a33176052130ecd04" title="lpt_euler_src::lpt\l_euler_source_heat" alt="" coords="203,383,337,425"/>
<area shape="rect" id="node3" href="namespacelpt__euler__src.html#ab8724b9eae4fb0fa0c7e08decc70182e" title="lpt_euler_src::lpt\l_euler_source" alt="" coords="405,253,524,294"/>
<area shape="rect" id="node4" href="namespacelpt__euler__src.html#a1a8c3cfffdf8865baf4c93a724d5e0c2" title="lpt_euler_src::lpt\l_euler_source_spray" alt="" coords="572,318,715,359"/>
<area shape="rect" id="node27" href="namespacelpt__euler__src.html#a777e620a173653f9ff7ed0a41ef764e1" title="lpt_euler_src::lpt\l_euler_source_film" alt="" coords="578,179,709,221"/>
<area shape="rect" id="node30" href="namespacelpt__euler__src.html#aabe76968027d0f3104959264f78b9b32" title="lpt_euler_src::lpt\l_euler_source_coal" alt="" coords="576,253,711,294"/>
<area shape="rect" id="node5" href="namespacelpt__spray.html#af8124b89cc8112d962da1e1bdd0cbaf3" title="lpt_spray::lpt_spray\l_prestep" alt="" coords="977,347,1113,389"/>
<area shape="rect" id="node24" href="namespacelpt__spray.html#a378ca1af9bc10b1a2397d4e4ca9b9dfb" title="lpt_spray::lpt_spray\l_solver_post_substep" alt="" coords="763,318,913,359"/>
<area shape="rect" id="node6" href="namespacelpt__m.html#a169103869bed15388cda14febe0849a4" title="This subroutine calls the various solver subroutines to integrate the equations of the particle..." alt="" coords="1355,260,1463,287"/>
<area shape="rect" id="node7" href="namespacearts__cf__simulation.html#a4d813a565cb81c0cba28e71029dbdc40" title="Pre&#45;step 2 &#45; prepare for the subiterations. " alt="" coords="1517,219,1645,261"/>
<area shape="rect" id="node9" href="namespacearts__simulation.html#a80dda89ed8abf4b853ea8926e1a5c18d" title="arts_simulation::arts\l_prestep2" alt="" coords="1511,285,1651,326"/>
<area shape="rect" id="node8" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1713,227,1819,253"/>
<area shape="rect" id="node10" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1713,284,1819,311"/>
<area shape="rect" id="node22" href="namespacearts__md__simulation.html#a1d63e088dd86b79505c90b8897b44cbe" title="arts_md_simulation\l::arts_md_prestep2" alt="" coords="1699,433,1833,474"/>
<area shape="rect" id="node11" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1913,56,1957,83"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1903,107,1966,133"/>
<area shape="rect" id="node13" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1891,157,1978,184"/>
<area shape="rect" id="node14" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1900,208,1969,235"/>
<area shape="rect" id="node15" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1901,259,1969,285"/>
<area shape="rect" id="node16" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1887,309,1983,336"/>
<area shape="rect" id="node17" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1889,360,1981,387"/>
<area shape="rect" id="node18" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1906,411,1963,437"/>
<area shape="rect" id="node19" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1897,461,1972,488"/>
<area shape="rect" id="node20" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1885,512,1984,539"/>
<area shape="rect" id="node21" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1906,5,1963,32"/>
<area shape="rect" id="node23" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1881,563,1988,589"/>
<area shape="rect" id="node25" href="namespacelpt__rk__solver.html#a47f8eeca6f19dd0adc52f77deed5f1a5" title="lpt_rk_solver::lpt\l_rk_solver_post_substep" alt="" coords="961,253,1128,294"/>
<area shape="rect" id="node26" href="namespacelpt__rk__solver.html#aecf3a11bbd68609282760ad77622118e" title="lpt_rk_solver::lpt\l_rk_solver_step" alt="" coords="1182,253,1301,294"/>
<area shape="rect" id="node28" href="namespacelpt__wall__film.html#abfc82726ab9429b8ab335e3d402ccb9a" title="lpt_wall_film::lpt\l_wall_film_prestep" alt="" coords="1176,150,1307,191"/>
<area shape="rect" id="node29" href="namespacelpt__wall__film.html#a17ce27a178de3d9f3e0b5c0e87369160" title="lpt_wall_film::lpt\l_wall_film_solver_part\l_post_substep" alt="" coords="763,172,913,228"/>
<area shape="rect" id="node31" href="namespacelpt__coal.html#ac6255069fd0a21e6504629aed641d90f" title="lpt_coal::lpt_coal\l_solver_post_substep" alt="" coords="763,253,913,294"/>
</map>
</div>

</div>
</div>
<a id="a460efb68f7273e5869fe56132f0fdb72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a460efb68f7273e5869fe56132f0fdb72">&#9670;&nbsp;</a></span>lpt_interp_pgas()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) function, public lpt_interpolate_m::lpt_interp_pgas </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>loc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>j</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>k</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelpt__interpolate__m.html#af087c80a6a86641251838154b59d56a6">lpt_interpolate()</a>, and <a class="el" href="namespacelpt__interpolate__m.html#ac71aa448376a172792fb373cf93afa9d">type_sc</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__interpolate__m_a460efb68f7273e5869fe56132f0fdb72_cgraph.png" border="0" usemap="#namespacelpt__interpolate__m_a460efb68f7273e5869fe56132f0fdb72_cgraph" alt=""/></div>
<map name="namespacelpt__interpolate__m_a460efb68f7273e5869fe56132f0fdb72_cgraph" id="namespacelpt__interpolate__m_a460efb68f7273e5869fe56132f0fdb72_cgraph">
<area shape="rect" id="node2" href="namespacelpt__interpolate__m.html#af087c80a6a86641251838154b59d56a6" title="lpt_interpolate_m::\llpt_interpolate" alt="" coords="183,5,312,47"/>
<area shape="rect" id="node3" href="namespacelpt__utils.html#ab60167344c53e09e9b89ba973295df1e" title="lpt_utils::lpt_cart2cyl" alt="" coords="360,13,503,39"/>
</map>
</div>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__interpolate__m_a460efb68f7273e5869fe56132f0fdb72_icgraph.png" border="0" usemap="#namespacelpt__interpolate__m_a460efb68f7273e5869fe56132f0fdb72_icgraph" alt=""/></div>
<map name="namespacelpt__interpolate__m_a460efb68f7273e5869fe56132f0fdb72_icgraph" id="namespacelpt__interpolate__m_a460efb68f7273e5869fe56132f0fdb72_icgraph">
<area shape="rect" id="node2" href="namespacelpt__spark__electr__cir.html#a8254630a0102e874afb359ae45a0a81e" title="lpt_spark_electr_cir\l::calc_spark_pgas" alt="" coords="191,357,325,398"/>
<area shape="rect" id="node28" href="lpt__spark__kernel_8f90.html#a1ffc224366fa36d0a21d3a570fae0ea1" title="add_new_kernel" alt="" coords="200,211,316,237"/>
<area shape="rect" id="node32" href="namespacelpt__spark__kernel.html#a00b9cf0362cf22408c664737307c4127" title="lpt_spark_kernel::lpt\l_spark_kernel_rk_part\l_prestep" alt="" coords="183,267,333,323"/>
<area shape="rect" id="node34" href="namespacelpt__spark__kernel.html#a1f912439cb4a1df3d881a24e1810606e" title="lpt_spark_kernel::calc\l_plasma_temp_rad" alt="" coords="183,509,333,550"/>
<area shape="rect" id="node3" href="namespacelpt__spark__electr__cir.html#a8e4859f288dc038d5ecd14658d09681b" title="lpt_spark_electr_cir\l::calc_breakdown_voltage" alt="" coords="381,357,555,398"/>
<area shape="rect" id="node27" href="namespacelpt__spark__electr__cir.html#a945717c6e3dba7010b5019ced84cdb66" title="lpt_spark_electr_cir\l::lpt_spark_electr_cir\l_prestep" alt="" coords="397,435,539,491"/>
<area shape="rect" id="node4" href="namespacelpt__spark__electr__cir.html#a2c4f2078caa0a81427697cb5b5419525" title="lpt_spark_electr_cir\l::spark_breakdown_circuit" alt="" coords="603,385,777,426"/>
<area shape="rect" id="node25" href="namespacelpt__spark__electr__cir.html#a73be5ba9fe7e48c87321346a5e62e5cf" title="lpt_spark_electr_cir\l::lpt_electr_cir_rk_solver\l_post_step" alt="" coords="832,311,996,367"/>
<area shape="rect" id="node5" href="namespacelpt__spark__channel.html#a700ac3af9ee768467820b143576de4c6" title="lpt_spark_channel::\llpt_spark_channel_prestep" alt="" coords="825,391,1003,433"/>
<area shape="rect" id="node6" href="namespacelpt__spark.html#ab5d3c004471911871ccfafc6f349634a" title="lpt_spark::lpt_spark\l_prestep" alt="" coords="1070,391,1206,433"/>
<area shape="rect" id="node7" href="namespacelpt__m.html#a169103869bed15388cda14febe0849a4" title="This subroutine calls the various solver subroutines to integrate the equations of the particle..." alt="" coords="1273,325,1381,352"/>
<area shape="rect" id="node8" href="namespacearts__cf__simulation.html#a4d813a565cb81c0cba28e71029dbdc40" title="Pre&#45;step 2 &#45; prepare for the subiterations. " alt="" coords="1435,253,1563,294"/>
<area shape="rect" id="node10" href="namespacearts__simulation.html#a80dda89ed8abf4b853ea8926e1a5c18d" title="arts_simulation::arts\l_prestep2" alt="" coords="1429,318,1569,359"/>
<area shape="rect" id="node9" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1645,259,1751,285"/>
<area shape="rect" id="node11" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1645,309,1751,336"/>
<area shape="rect" id="node23" href="namespacearts__md__simulation.html#a1d63e088dd86b79505c90b8897b44cbe" title="arts_md_simulation\l::arts_md_prestep2" alt="" coords="1631,454,1765,495"/>
<area shape="rect" id="node12" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="2039,563,2083,589"/>
<area shape="rect" id="node13" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1877,56,1940,83"/>
<area shape="rect" id="node14" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1865,107,1952,133"/>
<area shape="rect" id="node15" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1874,157,1943,184"/>
<area shape="rect" id="node16" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1875,208,1943,235"/>
<area shape="rect" id="node17" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1861,259,1957,285"/>
<area shape="rect" id="node18" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1863,309,1955,336"/>
<area shape="rect" id="node19" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1880,360,1937,387"/>
<area shape="rect" id="node20" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1871,411,1946,437"/>
<area shape="rect" id="node21" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1859,461,1958,488"/>
<area shape="rect" id="node22" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1880,5,1937,32"/>
<area shape="rect" id="node24" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1855,563,1962,589"/>
<area shape="rect" id="node26" href="namespacelpt__rk__solver.html#a6ce024e0d9427746fc27a0584ad351b7" title="lpt_rk_solver::lpt\l_rk_solver_part_post_step" alt="" coords="1051,318,1225,359"/>
<area shape="rect" id="node29" href="lpt__spark__kernel_8f90.html#ab9733ca7860af9d502d0e3cfaa0bebc0" title="initialize_flame_kernels" alt="" coords="389,208,547,235"/>
<area shape="rect" id="node30" href="namespacelpt__spark__kernel.html#a36192ff78a2a3e8600f810f3679818f2" title="lpt_spark_kernel::lpt\l_spark_kernel_rk_solver\l_prestep" alt="" coords="609,179,771,235"/>
<area shape="rect" id="node31" href="namespacelpt__rk__solver.html#a8549b0700f1c8b5bfa232e0280e9ad0d" title="lpt_rk_solver::lpt\l_rk_solver_pre_step" alt="" coords="845,179,983,221"/>
<area shape="rect" id="node33" href="namespacelpt__rk__solver.html#ac645efdc7ae56f54fe86639936b4eeb7" title="lpt_rk_solver::lpt\l_rk_solver_part_pre_step" alt="" coords="830,245,998,286"/>
<area shape="rect" id="node35" href="namespacelpt__spark__channel.html#a6e92f82521cc51d44637c23a0f106b19" title="lpt_spark_channel::\llpt_spk_channel_init\l_plasma" alt="" coords="398,575,538,631"/>
<area shape="rect" id="node50" href="namespacelpt__spark__kernel.html#ae05201c90a4f61e318ba692a21efc3d1" title="lpt_spark_kernel::lpt\l_spark_kernel_set_r_init" alt="" coords="609,509,771,550"/>
<area shape="rect" id="node36" href="namespacelpt__spark__channel.html#ad0305b51374dcb6d9f73fa652e0711ff" title="lpt_spark_channel::\llpt_spk_channel_rk_sol\l_post_step" alt="" coords="611,575,769,631"/>
<area shape="rect" id="node38" href="lpt__spark__io_8f90.html#a32cf19c82b51126bef4c4a34f4262c08" title="lpt_spark_read_data\l_v001p1" alt="" coords="621,655,759,697"/>
<area shape="rect" id="node37" href="namespacelpt__rk__solver.html#a49d069887b67a2a85fad278050cf1e97" title="lpt_rk_solver::lpt\l_rk_solver_post_step" alt="" coords="1065,519,1211,561"/>
<area shape="rect" id="node39" href="namespacelpt__spark__io.html#a05da8d0c974348c788bed3f513d3d8ce" title="lpt_spark_io::lpt_spark\l_read_data_v001" alt="" coords="837,661,991,702"/>
<area shape="rect" id="node40" href="lpt__io_8f90.html#ac9d17f202ca5c72cf6312fa82fd39106" title="lpt_read_data" alt="" coords="1088,671,1188,697"/>
<area shape="rect" id="node41" href="namespacelpt__io.html#a9b6830a5af10d0aecb42a3b12dedb175" title="lpt_io::lpt_read" alt="" coords="1274,672,1381,699"/>
<area shape="rect" id="node42" href="namespacelpt__m.html#acc2a74921c2c02fb2ea5d53346bc0f26" title="initializes the lpt module by reading in the relevant input flags " alt="" coords="1449,672,1549,699"/>
<area shape="rect" id="node43" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="1636,730,1760,771"/>
<area shape="rect" id="node45" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="1623,795,1773,837"/>
<area shape="rect" id="node47" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="1617,613,1779,640"/>
<area shape="rect" id="node49" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="1633,665,1763,706"/>
<area shape="rect" id="node44" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="1842,730,1975,771"/>
<area shape="rect" id="node46" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="1829,795,1988,837"/>
<area shape="rect" id="node48" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1827,613,1991,640"/>
</map>
</div>

</div>
</div>
<a id="a133535dddb21d1ac5c465cdae5672a0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a133535dddb21d1ac5c465cdae5672a0e">&#9670;&nbsp;</a></span>lpt_interp_tgas()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) function, public lpt_interpolate_m::lpt_interp_tgas </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>loc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>j</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(in), optional, pointer&#160;</td>
          <td class="paramname"><em>sc_in</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851">scalar_defs::get_scalar()</a>, <a class="el" href="namespacelpt__interpolate__m.html#af087c80a6a86641251838154b59d56a6">lpt_interpolate()</a>, and <a class="el" href="namespacelpt__interpolate__m.html#ac71aa448376a172792fb373cf93afa9d">type_sc</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__interpolate__m_a133535dddb21d1ac5c465cdae5672a0e_cgraph.png" border="0" usemap="#namespacelpt__interpolate__m_a133535dddb21d1ac5c465cdae5672a0e_cgraph" alt=""/></div>
<map name="namespacelpt__interpolate__m_a133535dddb21d1ac5c465cdae5672a0e_cgraph" id="namespacelpt__interpolate__m_a133535dddb21d1ac5c465cdae5672a0e_cgraph">
<area shape="rect" id="node2" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851" title="scalar_defs::get_scalar" alt="" coords="183,5,340,32"/>
<area shape="rect" id="node3" href="namespacelpt__interpolate__m.html#af087c80a6a86641251838154b59d56a6" title="lpt_interpolate_m::\llpt_interpolate" alt="" coords="197,57,326,98"/>
<area shape="rect" id="node4" href="namespacelpt__utils.html#ab60167344c53e09e9b89ba973295df1e" title="lpt_utils::lpt_cart2cyl" alt="" coords="388,64,531,91"/>
</map>
</div>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__interpolate__m_a133535dddb21d1ac5c465cdae5672a0e_icgraph.png" border="0" usemap="#namespacelpt__interpolate__m_a133535dddb21d1ac5c465cdae5672a0e_icgraph" alt=""/></div>
<map name="namespacelpt__interpolate__m_a133535dddb21d1ac5c465cdae5672a0e_icgraph" id="namespacelpt__interpolate__m_a133535dddb21d1ac5c465cdae5672a0e_icgraph">
<area shape="rect" id="node2" href="namespacelpt__spark__electr__cir.html#a5298777ab34ecec681e4615541b6d5c6" title="lpt_spark_electr_cir\l::calc_spark_tgas" alt="" coords="190,443,325,485"/>
<area shape="rect" id="node44" href="lpt__spark__kernel_8f90.html#a1ffc224366fa36d0a21d3a570fae0ea1" title="add_new_kernel" alt="" coords="199,363,315,389"/>
<area shape="rect" id="node48" href="namespacelpt__spark__kernel.html#a1f912439cb4a1df3d881a24e1810606e" title="lpt_spark_kernel::calc\l_plasma_temp_rad" alt="" coords="183,509,332,550"/>
<area shape="rect" id="node3" href="namespacelpt__spark__channel.html#ad0305b51374dcb6d9f73fa652e0711ff" title="lpt_spark_channel::\llpt_spk_channel_rk_sol\l_post_step" alt="" coords="609,493,768,549"/>
<area shape="rect" id="node23" href="namespacelpt__spark__electr__cir.html#a8e4859f288dc038d5ecd14658d09681b" title="lpt_spark_electr_cir\l::calc_breakdown_voltage" alt="" coords="380,385,553,426"/>
<area shape="rect" id="node29" href="lpt__spark__io_8f90.html#a32cf19c82b51126bef4c4a34f4262c08" title="lpt_spark_read_data\l_v001p1" alt="" coords="619,574,758,615"/>
<area shape="rect" id="node4" href="namespacelpt__rk__solver.html#a49d069887b67a2a85fad278050cf1e97" title="lpt_rk_solver::lpt\l_rk_solver_post_step" alt="" coords="1063,419,1210,461"/>
<area shape="rect" id="node5" href="namespacelpt__m.html#a169103869bed15388cda14febe0849a4" title="This subroutine calls the various solver subroutines to integrate the equations of the particle..." alt="" coords="1272,404,1380,431"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#a4d813a565cb81c0cba28e71029dbdc40" title="Pre&#45;step 2 &#45; prepare for the subiterations. " alt="" coords="1428,358,1556,399"/>
<area shape="rect" id="node8" href="namespacearts__simulation.html#a80dda89ed8abf4b853ea8926e1a5c18d" title="arts_simulation::arts\l_prestep2" alt="" coords="1615,417,1755,458"/>
<area shape="rect" id="node7" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1631,365,1738,392"/>
<area shape="rect" id="node9" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1842,284,1949,311"/>
<area shape="rect" id="node21" href="namespacearts__md__simulation.html#a1d63e088dd86b79505c90b8897b44cbe" title="arts_md_simulation\l::arts_md_prestep2" alt="" coords="1828,427,1963,469"/>
<area shape="rect" id="node10" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="2071,512,2115,539"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="2211,513,2273,540"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="2049,259,2136,285"/>
<area shape="rect" id="node13" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="2058,309,2127,336"/>
<area shape="rect" id="node14" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="2208,571,2276,597"/>
<area shape="rect" id="node15" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="2045,360,2141,387"/>
<area shape="rect" id="node16" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="2047,411,2139,437"/>
<area shape="rect" id="node17" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="2064,5,2121,32"/>
<area shape="rect" id="node18" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="2055,56,2130,83"/>
<area shape="rect" id="node19" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="2043,107,2142,133"/>
<area shape="rect" id="node20" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="2064,157,2121,184"/>
<area shape="rect" id="node22" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="2039,563,2146,589"/>
<area shape="rect" id="node24" href="namespacelpt__spark__electr__cir.html#a2c4f2078caa0a81427697cb5b5419525" title="lpt_spark_electr_cir\l::spark_breakdown_circuit" alt="" coords="601,427,776,469"/>
<area shape="rect" id="node27" href="namespacelpt__spark__electr__cir.html#a73be5ba9fe7e48c87321346a5e62e5cf" title="lpt_spark_electr_cir\l::lpt_electr_cir_rk_solver\l_post_step" alt="" coords="607,347,771,403"/>
<area shape="rect" id="node25" href="namespacelpt__spark__channel.html#a700ac3af9ee768467820b143576de4c6" title="lpt_spark_channel::\llpt_spark_channel_prestep" alt="" coords="824,485,1001,526"/>
<area shape="rect" id="node26" href="namespacelpt__spark.html#ab5d3c004471911871ccfafc6f349634a" title="lpt_spark::lpt_spark\l_prestep" alt="" coords="1069,485,1205,526"/>
<area shape="rect" id="node28" href="namespacelpt__rk__solver.html#a6ce024e0d9427746fc27a0584ad351b7" title="lpt_rk_solver::lpt\l_rk_solver_part_post_step" alt="" coords="1049,354,1224,395"/>
<area shape="rect" id="node30" href="namespacelpt__spark__io.html#a05da8d0c974348c788bed3f513d3d8ce" title="lpt_spark_io::lpt_spark\l_read_data_v001" alt="" coords="836,574,989,615"/>
<area shape="rect" id="node31" href="lpt__io_8f90.html#ac9d17f202ca5c72cf6312fa82fd39106" title="lpt_read_data" alt="" coords="1087,581,1187,608"/>
<area shape="rect" id="node32" href="namespacelpt__io.html#a9b6830a5af10d0aecb42a3b12dedb175" title="lpt_io::lpt_read" alt="" coords="1273,581,1379,608"/>
<area shape="rect" id="node33" href="namespacelpt__m.html#acc2a74921c2c02fb2ea5d53346bc0f26" title="initializes the lpt module by reading in the relevant input flags " alt="" coords="1442,581,1542,608"/>
<area shape="rect" id="node34" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="1623,629,1747,670"/>
<area shape="rect" id="node38" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="1610,563,1759,605"/>
<area shape="rect" id="node40" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="1604,512,1765,539"/>
<area shape="rect" id="node42" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="1619,694,1750,735"/>
<area shape="rect" id="node35" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="1829,629,1962,670"/>
<area shape="rect" id="node36" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="2029,614,2157,655"/>
<area shape="rect" id="node37" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="2025,679,2160,721"/>
<area shape="rect" id="node39" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="1816,563,1975,605"/>
<area shape="rect" id="node41" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1813,512,1977,539"/>
<area shape="rect" id="node43" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="1825,694,1965,735"/>
<area shape="rect" id="node45" href="lpt__spark__kernel_8f90.html#ab9733ca7860af9d502d0e3cfaa0bebc0" title="initialize_flame_kernels" alt="" coords="388,308,545,335"/>
<area shape="rect" id="node46" href="namespacelpt__spark__kernel.html#a36192ff78a2a3e8600f810f3679818f2" title="lpt_spark_kernel::lpt\l_spark_kernel_rk_solver\l_prestep" alt="" coords="607,267,770,323"/>
<area shape="rect" id="node47" href="namespacelpt__rk__solver.html#a8549b0700f1c8b5bfa232e0280e9ad0d" title="lpt_rk_solver::lpt\l_rk_solver_pre_step" alt="" coords="843,285,982,326"/>
<area shape="rect" id="node49" href="namespacelpt__spark__channel.html#a6e92f82521cc51d44637c23a0f106b19" title="lpt_spark_channel::\llpt_spk_channel_init\l_plasma" alt="" coords="397,501,537,557"/>
<area shape="rect" id="node50" href="namespacelpt__spark__kernel.html#ae05201c90a4f61e318ba692a21efc3d1" title="lpt_spark_kernel::lpt\l_spark_kernel_set_r_init" alt="" coords="385,633,548,674"/>
</map>
</div>

</div>
</div>
<a id="af087c80a6a86641251838154b59d56a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af087c80a6a86641251838154b59d56a6">&#9670;&nbsp;</a></span>lpt_interpolate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lpt_interpolate_m::lpt_interpolate </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imino_:sd%imaxo_,sd%jmino_:sd%jmaxo_,sd%kmino_:sd%kmaxo_), intent(in)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>xd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>yd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(in)&#160;</td>
          <td class="paramname"><em>zd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>jd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>kd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(out)&#160;</td>
          <td class="paramname"><em>Ap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>dir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(inout), optional&#160;</td>
          <td class="paramname"><em>inwall</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacelpt__utils.html#ab60167344c53e09e9b89ba973295df1e">lpt_utils::lpt_cart2cyl()</a>, <a class="el" href="namespacelpt__interpolate__m.html#ac71aa448376a172792fb373cf93afa9d">type_sc</a>, <a class="el" href="namespacelpt__interpolate__m.html#aa4b8fd5c158f0d675852ff9dbcb503ba">type_u</a>, <a class="el" href="namespacelpt__interpolate__m.html#a319b8d93d768104869b5b1b0f9886263">type_v</a>, <a class="el" href="namespacelpt__interpolate__m.html#a0090f87683f8e9d204c739d6a93ee8d7">type_w</a>, and <a class="el" href="namespacelpt__interpolate__m.html#a473af87e0d1b4dd9c233a7a087b8f566">type_wdist</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__interpolate__m_af087c80a6a86641251838154b59d56a6_cgraph.png" border="0" usemap="#namespacelpt__interpolate__m_af087c80a6a86641251838154b59d56a6_cgraph" alt=""/></div>
<map name="namespacelpt__interpolate__m_af087c80a6a86641251838154b59d56a6_cgraph" id="namespacelpt__interpolate__m_af087c80a6a86641251838154b59d56a6_cgraph">
<area shape="rect" id="node2" href="namespacelpt__utils.html#ab60167344c53e09e9b89ba973295df1e" title="lpt_utils::lpt_cart2cyl" alt="" coords="183,13,325,39"/>
</map>
</div>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__interpolate__m_af087c80a6a86641251838154b59d56a6_icgraph.png" border="0" usemap="#namespacelpt__interpolate__m_af087c80a6a86641251838154b59d56a6_icgraph" alt=""/></div>
<map name="namespacelpt__interpolate__m_af087c80a6a86641251838154b59d56a6_icgraph" id="namespacelpt__interpolate__m_af087c80a6a86641251838154b59d56a6_icgraph">
<area shape="rect" id="node2" href="namespacelpt__coal.html#a54e81c32cde08641b078d76081185ca4" title="Computes the RHS particle equations from the various models used. " alt="" coords="691,415,811,456"/>
<area shape="rect" id="node4" href="namespacelpt__coal__source.html#a29e9e2a2d96c5238f0eb0ac194718452" title="lpt_coal_source::lpt\l_coal_source_add" alt="" coords="211,545,346,587"/>
<area shape="rect" id="node7" href="namespacelpt__euler__src.html#a1a8c3cfffdf8865baf4c93a724d5e0c2" title="lpt_euler_src::lpt\l_euler_source_spray" alt="" coords="207,859,350,900"/>
<area shape="rect" id="node8" href="namespacelpt__spray.html#af8124b89cc8112d962da1e1bdd0cbaf3" title="lpt_spray::lpt_spray\l_prestep" alt="" coords="683,699,819,740"/>
<area shape="rect" id="node9" href="namespacelpt__spray.html#a378ca1af9bc10b1a2397d4e4ca9b9dfb" title="lpt_spray::lpt_spray\l_solver_post_substep" alt="" coords="441,845,591,887"/>
<area shape="rect" id="node11" href="namespacelpt__euler__src.html#a777e620a173653f9ff7ed0a41ef764e1" title="lpt_euler_src::lpt\l_euler_source_film" alt="" coords="213,976,344,1017"/>
<area shape="rect" id="node14" href="namespacelpt__interpolate__m.html#a460efb68f7273e5869fe56132f0fdb72" title="lpt_interpolate_m::\llpt_interp_pgas" alt="" coords="214,1211,343,1252"/>
<area shape="rect" id="node16" href="lpt__spark__kernel_8f90.html#a1ffc224366fa36d0a21d3a570fae0ea1" title="add_new_kernel" alt="" coords="458,1042,574,1069"/>
<area shape="rect" id="node19" href="namespacelpt__spark__kernel.html#a1f912439cb4a1df3d881a24e1810606e" title="lpt_spark_kernel::calc\l_plasma_temp_rad" alt="" coords="441,1159,591,1200"/>
<area shape="rect" id="node22" href="namespacelpt__interpolate__m.html#a133535dddb21d1ac5c465cdae5672a0e" title="lpt_interpolate_m::\llpt_interp_tgas" alt="" coords="214,1093,343,1135"/>
<area shape="rect" id="node24" href="namespacelpt__spark__channel.html#af9d5a35175f1c6082df1aec0cd96af10" title="lpt_spark_channel::\llpt_spark_channel_rk\l_solver_rhs" alt="" coords="679,51,824,107"/>
<area shape="rect" id="node25" href="lpt__spark__kernel_8f90.html#a06a5182ce8b61e294fe2e5e666c5e680" title="calc_kernel_avg_quantities" alt="" coords="427,142,605,169"/>
<area shape="rect" id="node27" href="lpt__spark__kernel_8f90.html#a714181bc48f843b0bf82a671a7003d55" title="combustion_interface" alt="" coords="205,91,352,118"/>
<area shape="rect" id="node28" href="namespacelpt__spark__kernel.html#a3f9296a27945592643fe6287b8c2a9e4" title="lpt_spark_kernel::combust\l_get_point_tb" alt="" coords="191,1287,366,1328"/>
<area shape="rect" id="node30" href="namespacelpt__spray.html#a4a07936592836ab578a540b181e85feb" title="Computes the RHS particle equations from the various models used. " alt="" coords="448,243,584,284"/>
<area shape="rect" id="node31" href="namespacelpt__spray.html#a23cf5587ad5c62a36736f090dcd2622d" title="lpt_spray::lpt_spray\l_solver_post_iter" alt="" coords="211,1352,347,1393"/>
<area shape="rect" id="node33" href="namespacelpt__spray__evap.html#aaa1a3c320cd97a9f5723ebd07b3791c3" title="This subroutine computes the RHS of the evaporation namely the mass and energy transfer. " alt="" coords="213,193,345,235"/>
<area shape="rect" id="node34" href="namespacelpt__spray__props.html#a1bf0e2031b4fd5d8a8de35d233c9eafa" title="lpt_spray_props::lpt\l_spray_props_eulerian" alt="" coords="203,311,355,352"/>
<area shape="rect" id="node36" href="namespacelpt__spray__sbreakup.html#ab370540b4e22e7bd3234dbd054b25266" title="lpt_spray_sbreakup\l::lpt_spray_sbreakup_step" alt="" coords="429,728,603,769"/>
<area shape="rect" id="node37" href="namespacelpt__wall__film.html#a638e9047f664d5737f9b2979f8fc0490" title="lpt_wall_film::lpt\l_wall_film_solver_rhs" alt="" coords="443,373,589,415"/>
<area shape="rect" id="node38" href="namespacelpt__spray__sbreakup.html#a0d0ce2c67e88b93265c02d60e70ae462" title="lpt_spray_sbreakup\l::lpt_spray_sbreakup\l_filter" alt="" coords="207,727,350,783"/>
<area shape="rect" id="node39" href="namespacelpt__spray__single__particles__monitor__m.html#a9f7bb5cf85eafbf7f8add39e2ee5ebbc" title="lpt_spray_single_particles\l_monitor_m::lpt_spray_single\l_particles_monitor_update" alt="" coords="183,1418,375,1474"/>
<area shape="rect" id="node41" href="namespacelpt__spray__source.html#a48ff00e18ac1ce8801a19f8060a23191" title="lpt_spray_source::lpt\l_spray_source_init" alt="" coords="207,1499,350,1540"/>
<area shape="rect" id="node43" href="namespacelpt__spray__source.html#ab15dfb0dad8f722c0404373938a36359" title="lpt_spray_source::lpt\l_spray_source_from_inj" alt="" coords="199,611,359,652"/>
<area shape="rect" id="node45" href="namespacelpt__src__term__distribution.html#a5d51226530c78d6229ddf2eef13238c7" title="lpt_src_term_distribution\l::lpt_src_gaussian" alt="" coords="197,1564,361,1605"/>
<area shape="rect" id="node48" href="namespacelpt__wall__film.html#ae4033d0d0168247c0b615b7cc149dd60" title="lpt_wall_film::lpt\l_wall_film_solver_part\l_post_step" alt="" coords="203,1630,354,1686"/>
<area shape="rect" id="node49" href="namespacelpt__wall__film__evap.html#ab79a8c52a0980b792a90fc9dab6797a6" title="This subroutine computes the RHS of the evaporation namely the mass and energy transfer. " alt="" coords="197,428,360,469"/>
<area shape="rect" id="node50" href="namespacelpt__wall__film__single__particles__monitor__m.html#ae869da64ccd7559febe01f94b29efadc" title="lpt_wall_film_single\l_particles_monitor_m\l::lpt_wall_film_single\l_particles_monitor_update" alt="" coords="191,1711,366,1781"/>
<area shape="rect" id="node3" href="namespacelpt__rk__solver.html#a3539cb472293a451844029455d8bf9a8" title="lpt_rk_solver::lpt\l_rk_solver_rhs" alt="" coords="893,243,1012,284"/>
<area shape="rect" id="node5" href="namespacelpt__coal.html#a67b71dc05613a41b4fb257b4727a54f6" title="lpt_coal::lpt_coal\l_prestep" alt="" coords="691,607,811,648"/>
<area shape="rect" id="node6" href="namespacelpt__m.html#a169103869bed15388cda14febe0849a4" title="This subroutine calls the various solver subroutines to integrate the equations of the particle..." alt="" coords="899,706,1007,733"/>
<area shape="rect" id="node10" href="namespacelpt__rk__solver.html#a47f8eeca6f19dd0adc52f77deed5f1a5" title="lpt_rk_solver::lpt\l_rk_solver_post_substep" alt="" coords="668,861,835,903"/>
<area shape="rect" id="node12" href="namespacelpt__wall__film.html#abfc82726ab9429b8ab335e3d402ccb9a" title="lpt_wall_film::lpt\l_wall_film_prestep" alt="" coords="686,959,817,1000"/>
<area shape="rect" id="node13" href="namespacelpt__wall__film.html#a17ce27a178de3d9f3e0b5c0e87369160" title="lpt_wall_film::lpt\l_wall_film_solver_part\l_post_substep" alt="" coords="441,911,591,967"/>
<area shape="rect" id="node15" href="namespacelpt__spark__electr__cir.html#a8254630a0102e874afb359ae45a0a81e" title="lpt_spark_electr_cir\l::calc_spark_pgas" alt="" coords="449,1224,583,1265"/>
<area shape="rect" id="node18" href="namespacelpt__spark__kernel.html#a00b9cf0362cf22408c664737307c4127" title="lpt_spark_kernel::lpt\l_spark_kernel_rk_part\l_prestep" alt="" coords="441,1290,591,1346"/>
<area shape="rect" id="node17" href="lpt__spark__kernel_8f90.html#ab9733ca7860af9d502d0e3cfaa0bebc0" title="initialize_flame_kernels" alt="" coords="673,1042,830,1069"/>
<area shape="rect" id="node20" href="namespacelpt__spark__channel.html#a6e92f82521cc51d44637c23a0f106b19" title="lpt_spark_channel::\llpt_spk_channel_init\l_plasma" alt="" coords="681,1122,821,1178"/>
<area shape="rect" id="node21" href="namespacelpt__spark__kernel.html#ae05201c90a4f61e318ba692a21efc3d1" title="lpt_spark_kernel::lpt\l_spark_kernel_set_r_init" alt="" coords="670,1203,833,1244"/>
<area shape="rect" id="node23" href="namespacelpt__spark__electr__cir.html#a5298777ab34ecec681e4615541b6d5c6" title="lpt_spark_electr_cir\l::calc_spark_tgas" alt="" coords="449,1093,583,1135"/>
<area shape="rect" id="node26" href="namespacelpt__spark__kernel.html#a9db3dad3c926db1a4bc306ce6c746928" title="lpt_spark_kernel::lpt\l_spark_kernel_rk_solver_rhs" alt="" coords="657,159,845,200"/>
<area shape="rect" id="node29" href="namespacelpt__spark__kernel.html#a9afe6d5d437dd808ad514172b99c452d" title="lpt_spark_kernel::calc\l_spark_avg_tb" alt="" coords="441,1371,591,1412"/>
<area shape="rect" id="node32" href="namespacelpt__rk__solver.html#a559e551d26180255bde1b2ed76b0a24a" title="lpt_rk_solver::lpt\l_rk_solver_post_iter" alt="" coords="447,1436,585,1477"/>
<area shape="rect" id="node35" href="namespacelpt__evap__utils.html#a5d9c8e0ceb2ba9b7922459292403427e" title="Computes the gas phase properties at the reference state. " alt="" coords="423,308,609,349"/>
<area shape="rect" id="node40" href="namespacelpt__spray.html#a2d99ecc7f50ac4b4ccab5c5b853da425" title="lpt_spray::lpt_spray\l_monitor" alt="" coords="448,1501,584,1543"/>
<area shape="rect" id="node42" href="namespacelpt__spray.html#a7c0c732261cb36c8a062fbbfd2216f3b" title="lpt_spray::lpt_spray_init" alt="" coords="436,1567,596,1594"/>
<area shape="rect" id="node44" href="namespacelpt__spray__source.html#a51dbb27fdeadf19ebbb12ccbf8ff3efd" title="lpt_spray_source::lpt\l_spray_source_add" alt="" coords="445,611,587,652"/>
<area shape="rect" id="node46" href="namespacelpt__euler__src.html#a4eea72fb8a011dccd626ef49aa363a4c" title="lpt_euler_src::lpt\l_euler_source_momentum" alt="" coords="429,1684,603,1725"/>
<area shape="rect" id="node47" href="namespacelpt__euler__src.html#a938a4f4ee0673d10d9dbbf8b13c43f30" title="lpt_euler_src::lpt\l_euler_source_mass" alt="" coords="445,1619,587,1660"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="abe8c7e789d78a5d84094f3c604b408f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe8c7e789d78a5d84094f3c604b408f3">&#9670;&nbsp;</a></span>type_p</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_p =4</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac71aa448376a172792fb373cf93afa9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac71aa448376a172792fb373cf93afa9d">&#9670;&nbsp;</a></span>type_sc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc =5</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac220219d8b54d0220c4b8d56126097d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac220219d8b54d0220c4b8d56126097d4">&#9670;&nbsp;</a></span>type_sc_c2h2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_c2h2 =15</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a888cde915753dd60bf54c180b8f93023"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a888cde915753dd60bf54c180b8f93023">&#9670;&nbsp;</a></span>type_sc_ch4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_ch4 =14</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4aa2bd220507372065d205190423378b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4aa2bd220507372065d205190423378b">&#9670;&nbsp;</a></span>type_sc_co</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_co =11</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af5a7823d18e6c62e2f9cbc3b32821f8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5a7823d18e6c62e2f9cbc3b32821f8e">&#9670;&nbsp;</a></span>type_sc_co2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_co2 =12</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a050342b8b96335ffb29d45f57eead6bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a050342b8b96335ffb29d45f57eead6bc">&#9670;&nbsp;</a></span>type_sc_e</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_e =6</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4ef43d52a0df58425d7eeacafaf91556"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ef43d52a0df58425d7eeacafaf91556">&#9670;&nbsp;</a></span>type_sc_enth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_enth =5</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a92ba3b8c9ce7654caa2e0e718e08f726"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92ba3b8c9ce7654caa2e0e718e08f726">&#9670;&nbsp;</a></span>type_sc_h2o</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_h2o =13</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaa3fe483a8749b38b027a0563e132ffc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa3fe483a8749b38b027a0563e132ffc">&#9670;&nbsp;</a></span>type_sc_psi_mc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_psi_mc =10</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1fbffc2619bb0dba29a01ad5790c588d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fbffc2619bb0dba29a01ad5790c588d">&#9670;&nbsp;</a></span>type_sc_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_t =4</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7cefc7b4ead967896fc41b0cc6802719"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cefc7b4ead967896fc41b0cc6802719">&#9670;&nbsp;</a></span>type_sc_theta_mc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_theta_mc =9</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7da9a3497495df7a7fe2ba0a6174099c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7da9a3497495df7a7fe2ba0a6174099c">&#9670;&nbsp;</a></span>type_sc_yf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_yf =3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7eeb837faf0afdd3d746e342b2791abe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7eeb837faf0afdd3d746e342b2791abe">&#9670;&nbsp;</a></span>type_sc_zmix</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_zmix =1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac8f5d85a7862b28b297809d4b3a4f443"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8f5d85a7862b28b297809d4b3a4f443">&#9670;&nbsp;</a></span>type_sc_zmix2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_zmix2 =7</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a920635a61fb8f26c5565c4ca0a53451c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a920635a61fb8f26c5565c4ca0a53451c">&#9670;&nbsp;</a></span>type_sc_zmix_mc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_zmix_mc =8</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a87df48c0b189d58d4f90945f9c121fa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87df48c0b189d58d4f90945f9c121fa7">&#9670;&nbsp;</a></span>type_sc_zvar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_sc_zvar =2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa4b8fd5c158f0d675852ff9dbcb503ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4b8fd5c158f0d675852ff9dbcb503ba">&#9670;&nbsp;</a></span>type_u</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_u =1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a319b8d93d768104869b5b1b0f9886263"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a319b8d93d768104869b5b1b0f9886263">&#9670;&nbsp;</a></span>type_v</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_v =2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0090f87683f8e9d204c739d6a93ee8d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0090f87683f8e9d204c739d6a93ee8d7">&#9670;&nbsp;</a></span>type_w</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_w =3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a473af87e0d1b4dd9c233a7a087b8f566"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a473af87e0d1b4dd9c233a7a087b8f566">&#9670;&nbsp;</a></span>type_wdist</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public lpt_interpolate_m::type_wdist =6</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
